commit:     bc6546d744d31dabf2805e4f168df1f97a4b3c48
Author:     Dennis Eisele <kernlpanic <AT> dennis-eisele <DOT> de>
AuthorDate: Tue Jun 28 00:16:15 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Jun 29 15:34:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc6546d7

net-vpn/strongswan: fix prf-plus plugin usage

[ flow: revision bump, because new config option is passed ]

Closes: https://bugs.gentoo.org/853091
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Dennis Eisele <kernlpanic <AT> dennis-eisele.de>
Closes: https://github.com/gentoo/gentoo/pull/26103
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 net-vpn/strongswan/metadata.xml                             |  1 -
 .../{strongswan-5.9.6.ebuild => strongswan-5.9.6-r1.ebuild} | 13 ++++++++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)

diff --git a/net-vpn/strongswan/metadata.xml b/net-vpn/strongswan/metadata.xml
index 895902c71494..e44bbb6b7298 100644
--- a/net-vpn/strongswan/metadata.xml
+++ b/net-vpn/strongswan/metadata.xml
@@ -51,7 +51,6 @@
                <flag name="strongswan_plugins_newhope">Enable plugin that 
allows key exchange based on post-quantum computer New Hope algorithm</flag>
                <flag name="strongswan_plugins_ntru">Enable support for the 
ntru plugin</flag>
                <flag name="strongswan_plugins_padlock">Enable support for the 
padlock plugin</flag>
-               <flag name="strongswan_plugins_prf-plus">Enable support for the 
prf-plus plugin</flag>
                <flag name="strongswan_plugins_rdrand">Enable support for the 
rdrand plugin</flag>
                <flag name="strongswan_plugins_save-keys">Enable plugin that 
saves IKE and/or ESP keys to files compatible with Wireshark (for 
debugging)</flag>
                <flag name="strongswan_plugins_unbound">Enable support for the 
unbound plugin</flag>

diff --git a/net-vpn/strongswan/strongswan-5.9.6.ebuild 
b/net-vpn/strongswan/strongswan-5.9.6-r1.ebuild
similarity index 96%
rename from net-vpn/strongswan/strongswan-5.9.6.ebuild
rename to net-vpn/strongswan/strongswan-5.9.6-r1.ebuild
index 9de7b103de17..ed618ee5eb72 100644
--- a/net-vpn/strongswan/strongswan-5.9.6.ebuild
+++ b/net-vpn/strongswan/strongswan-5.9.6-r1.ebuild
@@ -14,13 +14,18 @@ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 IUSE="+caps curl +constraints debug dhcp eap farp gcrypt +gmp ldap mysql 
networkmanager +non-root +openssl selinux sqlite systemd pam pkcs11"
 
 STRONGSWAN_PLUGINS_STD="led lookip systime-fix unity vici"
+STRONGSWAN_PLUGINS_OPT_DISABLE="kdf"
 STRONGSWAN_PLUGINS_OPT="addrblock aesni blowfish bypass-lan ccm chapoly ctr 
error-notify forecast gcm
-ha ipseckey kdf newhope ntru padlock prf-plus rdrand save-keys unbound 
whitelist
+ha ipseckey newhope ntru padlock rdrand save-keys unbound whitelist
 xauth-noauth"
 for mod in $STRONGSWAN_PLUGINS_STD; do
        IUSE="${IUSE} +strongswan_plugins_${mod}"
 done
 
+for mod in $STRONGSWAN_PLUGINS_OPT_DISABLE; do
+       IUSE="${IUSE} strongswan_plugins_${mod}"
+done
+
 for mod in $STRONGSWAN_PLUGINS_OPT; do
        IUSE="${IUSE} strongswan_plugins_${mod}"
 done
@@ -133,6 +138,12 @@ src_configure() {
                fi
        done
 
+       for mod in $STRONGSWAN_PLUGINS_OPT_DISABLE; do
+               if ! use strongswan_plugins_${mod}; then
+                       myconf+=" --disable-${mod}"
+               fi
+       done
+
        for mod in $STRONGSWAN_PLUGINS_OPT; do
                if use strongswan_plugins_${mod}; then
                        myconf+=" --enable-${mod}"

Reply via email to